Official Ubuntu packages Edit

Freeciv packages are provided by Ubuntu. List them with, e.g.,

 aptitude search freeciv

As of Ubuntu Karmic (9.10) the freeciv and freeciv-client packages are virtual: choose either freeciv-client-gtk or freeciv-client-sdl. Client packages install the server, et al, but do not install sound. The virtual sound package, freeciv-sound, currently installs the only available physical sound package, freeciv-sound-standard.

Installation examples Edit

To install the GTK client and sound, do (e.g.)

sudo apt-get install freeciv-client-gtk freeciv-sound
Install FreeCiv game on ubuntu 16

Install FreeCiv game on ubuntu 16

Quick Notepad Tutorial

Installing from git Edit

The packages in Ubuntu repositories are not always up-to-date, you may want the newest or even beta version, thus you have to compile it yourself. Download the necessary archive from a branch of [1]. Unpack it into a folder and start command-line session there. Follow the instructions from the file INSTALL. Typically, do these steps:

  1. Generate configure script for your system (you may pass its options to, it will be launched; now just let's read the help):
    sudo ./ --help|less
  2. See the options list. Typically, you need to select your client and the installation folder. Maybe you will also want to compile additional tools supplied in the package, or make some more advanced settings. For example, let you install into /opt/freeciv_beta, you want gtk3 client and ruledit:
    sudo ./configure --prefix=/opt/freeciv_beta --enable-client=gtk3 --enable-ruledit
  3. Now, you have a makefile. Try to make it:
    sudo make
    Probably, you don't have by default packages needed for building, and make will complain to you. It's possible to search for them in your repository. A complete (but with some possibility to be deprecated) list of what you need to build freeciv can be obtained using
    sudo apt-get build-dep freeciv
    If you are building only gtk3 client, you don't need the packages for sdl; say "no" to apt-get if you want to download less. But the ruledit currently (v.2.6beta) comes only with qt5, so you will need also them. Thus, install the packages you need:
    sudo apt-get install libgtk-3-dev
    sudo apt-get install qtbase5-dev
    The prerequired packages will be installed automatically.
  4. Now, try again to make. If you are lucky, it succeeds. If not, get some more tools from your repository or somewhere else and repeat this until make runs without errors.
  5. You can play the game from the drectory where you compiled it, but without localization. Better put it to the desired folder to test everything as it should work:
    sudo make install

Now, you've done it! Don't remove the compilation directory. The installed application is not maintained by apt-get. If you are bored of it or something, to uninstall launch a session there again and command

sudo make uninstall

(some empty directory cleanup may be needed afterwards).